version: '2.3'
services:
  canvas:
    image: $PATCHSET_TAG
    links:
      - postgres
      - redis
    environment:
      RAILS_ENV: development
      USE_OPTIMIZED_JS: "true"
    ports:
      - "8181:80"
    init: true

  jobs:
    image: $PATCHSET_TAG
    links:
      - postgres
      - redis
    environment:
      RAILS_ENV: development
    command: bundle exec script/delayed_job run
    init: true

  postgres:
    image: $POSTGRES_IMAGE_TAG
    environment:
      POSTGRES_PASSWORD: sekret
    init: true

  redis:
    image: starlord.inscloudgate.net/jenkins/redis:alpine
    init: true
